---
title: RUM 이벤트 목록 불러오기
description: 목록 엔드포인트는 RUM 검색 쿼리와 일치하는 이벤트를 반환합니다. [결과는 페이지별로 표시됩니다][1].
breadcrumbs: 문서 > API > RUM 이벤트 목록 불러오기
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# RUM 이벤트 목록 불러오기

## v2 (latest)

| Datadog site      | API endpoint                                        |
| ----------------- | --------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/rum/events     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/rum/events |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/rum/events |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/rum/events      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/rum/events |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/rum/events |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/rum/events |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/rum/events      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/rum/events  |

### Overview

목록 엔드포인트는 RUM 검색 쿼리와 일치하는 이벤트를 반환합니다.
[결과는 페이지별로 표시됩니다](https://docs.datadoghq.com/logs/guide/collect-multiple-logs-with-pagination.md).

이 엔드포인트를 사용하여 최신 RUM 이벤트를 확인할 수 있습니다.

This endpoint requires the `rum_apps_read` permission.

### Arguments

#### Query Strings

| Field         | Type    | Description                                                                                                                                                       |
| ------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| filter[query] | string  | Search query following the [RUM search syntax](https://docs.datadoghq.com/real_user_monitoring/explorer/search_syntax.md). Defaults to `*`.                       |
| filter[from]  | string  | Minimum time for requested events, inclusive. Accepts date math (for example `now-15m`), an ISO 8601 date, or a timestamp in milliseconds. Defaults to `now-15m`. |
| filter[to]    | string  | Maximum time for requested events. Accepts the same formats as `filter[from]`. Defaults to `now`.                                                                 |
| sort          | enum    | Order of events in results, by event timestamp. Allowed enum values: `timestamp`, `-timestamp`.                                                                   |
| page[cursor]  | string  | Cursor to get the next page of results, taken from `meta.page.after` or `links.next` of the previous response. Use it with the same other parameters.             |
| page[limit]   | integer | Maximum number of events in the response. Between 1 and 1000. Default: `10`.                                                                                      |

### Response

{% tabs %}
{% tab label="200" %}
OK

{% tabs %}
{% tab label="Model" %}
Response object with all events matching the request and pagination information.

| Parent field | Field      | Type      | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| ------------ | ---------- | --------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data       | [object]  | Array of events matching the request.                                                                                                                                                                                                                                                                                                                                                                                                                             |
| data         | attributes | object    | JSON object containing all event attributes and their associated values.                                                                                                                                                                                                                                                                                                                                                                                          |
| attributes   | attributes | object    | JSON object of attributes from RUM events. Attributes are nested by path: the facet `@view.name` used in queries is returned as `attributes.view.name`. Common attributes include `type` (the event type: `session`, `view`, `action`, `resource`, `error`, `long_task`, or `vital`), `application.id`, `session.id`, `view.id`, `view.name`, and `usr.id`. Durations such as `view.time_spent`, `view.loading_time`, and `resource.duration` are in nanoseconds. |
| attributes   | service    | string    | The name of the application or service generating RUM events. It is used to switch from RUM to APM, so make sure you define the same value when you use both products.                                                                                                                                                                                                                                                                                            |
| attributes   | tags       | [string]  | Array of tags associated with your event, in `key:value` format.                                                                                                                                                                                                                                                                                                                                                                                                  |
| attributes   | timestamp  | date-time | Timestamp of your event, in ISO 8601 format.                                                                                                                                                                                                                                                                                                                                                                                                                      |
| data         | id         | string    | Unique ID of the event.                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| data         | type       | enum      | Type of the event. Allowed enum values: `rum`. Default: `rum`.                                                                                                                                                                                                                                                                                                                                                                                                    |
|              | links      | object    | Links attributes.                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| links        | next       | string    | Link for the next set of results, only present when there are more results. It always points to the `GET /api/v2/rum/events` endpoint and keeps `filter[query]`, `filter[from]`, `filter[to]`, `sort`, and `page[limit]` of the request. You can also make the request with the POST endpoint, with `page.cursor` set to `meta.page.after`.                                                                                                                       |
|              | meta       | object    | The metadata associated with a request.                                                                                                                                                                                                                                                                                                                                                                                                                           |
| meta         | elapsed    | int64     | The time elapsed in milliseconds.                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| meta         | page       | object    | Paging attributes.                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| page         | after      | string    | The cursor to use to get the next results, if any. To make the next request, use the same parameters with the addition of `page[cursor]` (`page.cursor` for the POST endpoint). Absent on the last page.                                                                                                                                                                                                                                                          |
| meta         | request_id | string    | The identifier of the request.                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| meta         | status     | enum      | The status of the response. `timeout` means the query did not complete in time and the results are partial. Allowed enum values: `done`, `timeout`.                                                                                                                                                                                                                                                                                                               |
| meta         | warnings   | [object]  | A list of warnings (non-fatal errors) encountered. Partial results may return if warnings are present in the response.                                                                                                                                                                                                                                                                                                                                            |
| warnings     | code       | string    | A unique code for this type of warning.                                                                                                                                                                                                                                                                                                                                                                                                                           |
| warnings     | detail     | string    | A detailed explanation of this specific warning.                                                                                                                                                                                                                                                                                                                                                                                                                  |
| warnings     | title      | string    | A short human-readable summary of the warning.                                                                                                                                                                                                                                                                                                                                                                                                                    |
{% /tab %}

{% tab label="Example" %}
```json
{
  "data": [
    {
      "attributes": {
        "attributes": {
          "application": {
            "id": "abcd1234-0000-0000-abcd-1234abcd5678"
          },
          "type": "view",
          "view": {
            "loading_time": 1200000000,
            "name": "/checkout"
          }
        },
        "service": "web-app",
        "tags": [
          "team:A"
        ],
        "timestamp": "2019-01-02T09:42:36.320Z"
      },
      "id": "AAAAAWgN8Xwgr1vKDQAAAABBV2dOOFh3ZzZobm1mWXJFYTR0OA",
      "type": "rum"
    }
  ],
  "links": {
    "next": "https://api.datadoghq.com/api/v2/rum/events?filter[query]=foo&page[cursor]=eyJzdGFydEF0IjoiQVFBQUFYS2tMS3pPbm40NGV3QUFBQUJCV0V0clRFdDZVbG8zY3pCRmNsbHJiVmxDWlEifQ=="
  },
  "meta": {
    "elapsed": 132,
    "page": {
      "after": "eyJzdGFydEF0IjoiQVFBQUFYS2tMS3pPbm40NGV3QUFBQUJCV0V0clRFdDZVbG8zY3pCRmNsbHJiVmxDWlEifQ=="
    },
    "request_id": "MWlFUjVaWGZTTTZPYzM0VXp1OXU2d3xLSVpEMjZKQ0VKUTI0dEYtM3RSOFVR",
    "status": "done",
    "warnings": [
      {
        "code": "unknown_index",
        "detail": "indexes: foo, bar",
        "title": "One or several indexes are missing or invalid, results hold data from the other indexes"
      }
    ]
  }
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="400" %}
Bad Request

{% tabs %}
{% tab label="Model" %}
API error response.

| Field               | Type     | Description       |
| ------------------- | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    "Bad Request"
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="403" %}
Not Authorized

{% tabs %}
{% tab label="Model" %}
API error response.

| Field               | Type     | Description       |
| ------------------- | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    "Bad Request"
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="429" %}
Too many requests

{% tabs %}
{% tab label="Model" %}
API error response.

| Field               | Type     | Description       |
| ------------------- | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    "Bad Request"
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}
{% /tabs %}

### Code Example

{% tabs %}
{% tab label="Curl" %}
```bash
# Set your Datadog site and credentials
export DD_SITE="datadoghq.com" # Or us3.datadoghq.com, us5.datadoghq.com, datadoghq.eu, ap1.datadoghq.com, ap2.datadoghq.com, uk1.datadoghq.com, ddog-gov.com, us2.ddog-gov.com
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X GET "https://api.${DD_SITE}/api/v2/rum/events" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
```
{% /tab %}

{% tab label="Go" %}
```go
// Get a list of RUM events returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRUMApi(apiClient)
	resp, r, err := api.ListRUMEvents(ctx, *datadogV2.NewListRUMEventsOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RUMApi.ListRUMEvents`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `RUMApi.ListRUMEvents`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:

```bash
DD_SITE="datadoghq.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
```
{% /tab %}

{% tab label="Java" %}
```java
// Get a list of RUM events returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumApi;
import com.datadog.api.client.v2.model.RUMEventsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    RumApi apiInstance = new RumApi(defaultClient);

    try {
      RUMEventsResponse result = apiInstance.listRUMEvents();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling RumApi#listRUMEvents");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:

```bash
DD_SITE="datadoghq.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
```
{% /tab %}

{% tab label="Python" %}
```python
"""
Get a list of RUM events returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_api import RUMApi

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
with ApiClient(configuration) as api_client:
    api_instance = RUMApi(api_client)
    response = api_instance.list_rum_events()

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:

```bash
DD_SITE="datadoghq.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
```
{% /tab %}

{% tab label="Ruby" %}
```ruby
# Get a list of RUM events returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
end
api_instance = DatadogAPIClient::V2::RUMAPI.new
p api_instance.list_rum_events()
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:

```bash
DD_SITE="datadoghq.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" ruby "example.rb"
```
{% /tab %}

{% tab label="Rust" %}
```rust
// Get a list of RUM events returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum::ListRUMEventsOptionalParams;
use datadog_api_client::datadogV2::api_rum::RUMAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = RUMAPI::with_config(configuration);
    let resp = api
        .list_rum_events(ListRUMEventsOptionalParams::default())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:

```bash
DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
```
{% /tab %}

{% tab label="TypeScript" %}
```typescript
/**
 * Get a list of RUM events returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
const apiInstance = new v2.RUMApi(configuration);

apiInstance
  .listRUMEvents()
  .then((data: v2.RUMEventsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:

```bash
DD_SITE="datadoghq.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" npx tsx "example.ts"
```
{% /tab %}
{% /tabs %}
